<div class="flex items-center justify-center w-full h-10 border-b border-border ">
  <p class="text-xs font-semibold text-neutral30">{{name}}</p>
</div>
<form [formGroup]="formGroup" class="p-4 space-y-4">
  <div class="space-y-3">  
    <app-input-label w="full" 
    [message]="formGroup.get('name')?.invalid ? '이미 존재하는 이름입니다.' : ''"
    [color]="formGroup.get('name')?.invalid ? 'error' : 'primary'">  
        <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요."/> 
        <figure><img src="/assets/icons/search.svg" alt="" class="h-6 w-7" /></figure>
    </app-input-label> 
  
    @if(list){
    <div class="h-[156px] cursor-pointer overflow-y-auto [&>p]:text-sm [&>p]:font-medium [&>p]:leading-6 [&>p]:[&>p]:text-gray-700"> 
      @for (item of list; track $index) {
        <p class="hover:bg-[#4F46E526] px-2 py-2 rounded-md" (click)="onSelected(item)">{{ item.name }}</p>
      } 
    </div>
        }
  </div>
  <app-button (click)="onSubmit()">{{name}} 생성</app-button>
</form>
